# Cinder

# AppImplCocoaCinderView Class Reference

`#import <AppImplCocoaCinderView.h>`

List of all members.

## Protected Attributes
CinderView * | cinderView
NSTimer * | animationTimer
class cinder::app::AppCinderView * | app
BOOL | isCurrentlyFullScreen
CFAbsoluteTime | mStartTime
BOOL | mUpdated
int | mWindowWidth
int | mWindowHeight
float | mFrameRate
id | init:(cinder::app::AppCinderView *)aApp
void | launchApplication:(CinderView *)aCinderView
void | startAnimationTimer
void | quit
int | getWindowWidth
void | setWindowWidth:(int)windowWidth
int | getWindowHeight
void | setWindowHeight:(int)windowHeight
void | setWindowSizeWithWidth:(int)w height:(int)h
void | reflectWindowSizeWithWidth:(int)w height:(int)h
void | defaultResize
CGPoint | mouseLocation
float | getFrameRate
void | setFrameRate:(float)frameRate
bool | isFullScreen
void | enterFullScreen
void | exitFullScreen
std::string | getAppPath
double | getElapsedSeconds

## Member Data Documentation

- (CinderView*) cinderView`[protected]`

- (NSTimer*) animationTimer`[protected]`

- (class) app:`[protected]`

- (BOOL) isCurrentlyFullScreen`[protected]`

- (CFAbsoluteTime) mStartTime`[protected]`

- (BOOL) mUpdated`[protected]`

- (int) mWindowWidth`[protected]`

- (int) mWindowHeight`[protected]`

- (float) mFrameRate`[protected]`

- (id) init`[protected]`

- (void) launchApplication`[protected]`

- (void) startAnimationTimer`[protected]`

- (void) quit`[protected]`

- (int) getWindowWidth`[protected]`

- (void) setWindowWidth`[protected]`

- (int) getWindowHeight`[protected]`

- (void) setWindowHeight`[protected]`

- (void) setWindowSizeWithWidth`[protected]`

- (void) reflectWindowSizeWithWidth`[protected]`

- (void) defaultResize`[protected]`

- (CGPoint) mouseLocation`[protected]`

- (float) getFrameRate`[protected]`

- (void) setFrameRate`[protected]`

- (bool) isFullScreen`[protected]`

- (void) enterFullScreen`[protected]`

- (void) exitFullScreen`[protected]`

- std:`[protected]`

- (double) getElapsedSeconds`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/app/AppImplCocoaCinderView.h
- src/cinder/app/AppImplCocoaCinderView.mm